> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/software-delivery-agent-apis/database-devops/pipeline-step.md).

# Pipeline Step

This contains APIs for Pipeline Plugin Inputs

## Get pipeline status

> Api to get the pipeline execution status

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for Pipeline Plugin Inputs","name":"Pipeline Step"}],"paths":{"/v1/orgs/{org}/projects/{project}/pipeline/{pipelineIdentifier}/status":{"get":{"description":"Api to get the pipeline execution status","operationId":"V1GetPipelineExecutionStatus","parameters":[{"$ref":"#/components/parameters/PipelineExecutionId"},{"$ref":"#/components/parameters/StageNodeId"}],"responses":{"200":{"$ref":"#/components/responses/PipelineStatusResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get pipeline status","tags":["Pipeline Step"]}}},"components":{"parameters":{"PipelineExecutionId":{"description":"plan execution Id of the pipeline execution","in":"query","name":"pipelineExecutionId","required":true,"schema":{"type":"string"}},"StageNodeId":{"description":"Stage Node Id of the pipeline execution","in":"query","name":"stageNodeId","schema":{"type":"string"}}},"responses":{"PipelineStatusResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PipelineStatusOutput"}}},"description":"Response body for Pipeline execution status"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"PipelineStatusOutput":{"description":"Response body for Pipeline execution status","properties":{"metadata":{"additionalProperties":{"type":"string"},"description":"meta data of the api","type":"object"},"response":{"description":"response message for the pipeline stage api","type":"string"},"status":{"description":"status of the pipeline","type":"string"}},"required":["status","response","metadata"],"title":"PipelineStatusOutput","type":"object"},"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```
